""" File with the addon ui panels """
import bpy


class OBJECT_PT_f2f_functional_settings_panel(bpy.types.Panel):
    bl_parent_id = "VIEW3D_PT_f2f_options_panel"
    bl_idname = 'OBJECT_PT_f2f_functional_settings_panel'
    # bl_label = 'PROJECTIONS'
    bl_category = 'f2F'
    bl_label = 'Functional settings'
    bl_space_type = 'VIEW_3D'
    bl_region_type = 'UI'

    @classmethod
    def poll(cls, context):
        if context.window_manager.face2face.is_modal_active:
            return False

        return True

    def draw(self, context):

        layout = self.layout
        # draw local settings group
        context.window_manager.face2face.draw_functional(layout)


def register():
    bpy.utils.register_class(OBJECT_PT_f2f_functional_settings_panel)


def unregister():
    bpy.utils.unregister_class(OBJECT_PT_f2f_functional_settings_panel)
